Bug 831902 - Error fix for KVM Para-virtualized Drivers part
Error fix for KVM Para-virtualized Drivers part
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Virtualization_Host_Configuration_and_Guest_Installation_Gui (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Tahlia Richardson
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 23:25 EDT by weizhang
Modified: 2013-02-24 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-24 18:28:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weizhang 2012-06-13 23:25:06 EDT
Description of problem:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Virtualization_Host_Configuration_and_Guest_Installation_Guide/chap-Virtualization_Host_Configuration_and_Guest_Installation_Guide-Para_virtualized_drivers.html
Chapter 10. KVM Para-virtualized Drivers

in sentence:
"Using KVM para-virtualized drives, the following Microsoft Windows versions are expected to run similarly to bare-metal-based systems.
...
Windows Server 2008 R2 (32-bit and 64-bit versions)"

Windows Server 2008 R2 has no 32-bit version


10.2. Installing the drivers on an installed Windows guest

in sentnece:
"NetKVM, the network driver, affects the Network adapters group. This driver is only available if a virtio disk and a virtio NIC are configured.
viostor, the block driver, affects the Disk drives group. This driver is only available if a virtio disk and a virtio NIC are configured."

The NetKVM is used when a virtio nic is configured.
The viostor is used when a virtio disk is configured.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dayle Parker 2012-09-26 23:41:20 EDT
(In reply to comment #0)

Hi Kyla,

Can you please clarify:

> 10.2. Installing the drivers on an installed Windows guest
> 
> The NetKVM is used when a virtio nic is configured.
> The viostor is used when a virtio disk is configured.

Is the NetKVM driver *only available* if a virtio NIC is configured?

and

Is the viostor *only available* if a virtio disk is configured?

Thank you,
Dayle
Comment 2 weizhang 2012-09-27 00:47:09 EDT
Yes, the NetKVM is only used for virtio NIC, no relationship with disk, and the viostor is only used for virtio disk, no relationship with NIC.

Note You need to log in before you can comment on or make changes to this bug.